# Changelog

## [integrations/cohere-v2.0.0] - 2024-09-16

### 🚀 Features

- Update Anthropic/Cohere for tools use (#790)
- Update Cohere default LLMs, add examples and update unit tests (#838)
- Cohere LLM - adjust token counting meta to match OpenAI format (#1086)

### 🐛 Bug Fixes

- Lints in `cohere-haystack` (#995)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

### ⚙️ Miscellaneous Tasks

- Retry tests to reduce flakyness (#836)
- Update ruff invocation to include check parameter (#853)

### Docs

- Update CohereChatGenerator docstrings (#958)
- Update CohereGenerator docstrings (#960)

## [integrations/cohere-v1.1.1] - 2024-06-12

## [integrations/cohere-v1.1.0] - 2024-05-24

### 🐛 Bug Fixes

- Remove support for generate API (#755)

## [integrations/cohere-v1.0.0] - 2024-05-03

## [integrations/cohere-v0.7.0] - 2024-05-02

## [integrations/cohere-v0.6.0] - 2024-04-08

### 🚀 Features

- Add Cohere ranker (#643)

## [integrations/cohere-v0.5.0] - 2024-03-29

## [integrations/cohere-v0.4.1] - 2024-03-21

### 🐛 Bug Fixes

- Fix order of API docs (#447)

This PR will also push the docs to Readme
- Fix tests (#561)

* fix unit tests

* try

* remove flaky check

### 📚 Documentation

- Update category slug (#442)
- Review cohere integration (#500)
- Small consistency improvements (#536)
- Disable-class-def (#556)

### ⚙️ Miscellaneous Tasks

- Update Cohere integration to use new generic callable (de)serializers for their callback handlers (#453)
- Use `serialize_callable` instead of `serialize_callback_handler` in Cohere  (#460)

### Cohere

- Fix linting (#509)

## [integrations/cohere-v0.4.0] - 2024-02-12

### 🐛 Bug Fixes

- Fix Cohere tests (#337)
- Cohere inconsistent embeddings and documents lengths (#284)

### 🚜 Refactor

- [**breaking**] Use `Secret` for API keys in Cohere components (#386)

### 🧪 Testing

- Fix failing `TestCohereChatGenerator.test_from_dict_fail_wo_env_var` test (#393)

## [integrations/cohere-v0.3.0] - 2024-01-25

### 🐛 Bug Fixes

- Fix project urls (#96)


- Cohere namespace reorg (#271)

### 🚜 Refactor

- Use `hatch_vcs` to manage integrations versioning (#103)

### ⚙️ Miscellaneous Tasks

- [**breaking**] Rename `model_name` to `model` in the Cohere integration (#222)
- Cohere namespace change (#247)

## [integrations/cohere-v0.2.0] - 2023-12-11

### 🚀 Features

- Add support for V3 Embed models to CohereEmbedders (#89)

## [integrations/cohere-v0.1.1] - 2023-12-07

## [integrations/cohere-v0.0.1] - 2023-12-04

<!-- generated by git-cliff -->
